Copyright: helpC, (c) Copyright 1994,Herman Mansur.


INTRODUCTION

 ALLOALLO V1.0  -  (c) Copyright 1994  [Herman Mansur]

      You probably will find, if not all, the great majority of files available on BBS, discussion forum, INTERNET sites and other communication sites, are compressed in some form. There are several programs used for that purpose, differing mainly from the routines used for compression and/or the operational system of the computer.This help file describes the major options to be used with PKZIP compressing software. The software is NOT included with the ALLOALLO package. It can be obtained directly from  PKWARE through COMPUSERVE or from almost any BBS site near you.

 	ALLOALLO V1.0 has a  PKZIP SHELL, that will handler the major features of the ZIP compressed files, turning it almost transparent to the end user that the compression and extraction of files are occuring in the background. This can be changed to run in a DOS window according to the user setup. The information provided here is just an additional source of how the most common program for file compression can be used.

      PKZIP is one of these programs that compresses files. The software is based on  a sequence of routines for compression of  files aiming to achieve  a reduction of the actual volume occupied by these files. Therefore, it is  possible to have a larger amount of data stored in the same physical volume. Storing, Shrinking, and Imploding are terms used referring to the compressing process. The resulting compressed file has an extension .ZIP. The compression ratio shows the actual reduction in storage space, obtained through the ratio between the  sum of sizes of all files before compression and the final size of the compressed ZIP file generated. The ratio can vary a lot depending on the data compressed, ranging from 1:1 up to 20:1 in some cases. Some optional parameters can be specified to PKZIP for compressing , deleting or general maintenance of files. Of course, it is necessary to restore the original data whenever needed, and that is obtained through the  PKUNZIP program.  PKUNZIP is the program that uncompresses or extracts compressed files. Some optional parameters can also be specified to get more information about the compressed files .


PKZIP

      PKZIP COMMAND OPTIONS PKZIP EXAMPLE

      ---------------------

          OPTION         SUMMARY

          -a             Adds files to the compressed ZIP file.

          -c	         Adds file comments to individual files within the ZIP file.

          -d             Deletes the specified files from the ZIP file without extraction.

          -h             Calls up a help screen.

          -i             Adds to the ZIP file only those files that were changed since the ZIP file was last updated.

FOR MORE DETAILED INFORMATION REFER TO PKZIP  PKWARE

MANUAL


PKUNZIP

        PKUNZIP COMMAND OPTIONS PKUNZIPEXAMPLE

        ------------------------

          OPTION         SUMMARY

          -d             Uses the pathnames stored in the ZIP file  on extraction.They will be created if they do not already exist.

          -h             Displays a help screen.

          -n             Extracts  only the newer version of files from the ZIP file

          -o             Overwrites existing files on extraction without asking for confirmation.

          -t             Tests the ZIP file .

          -x             Extracts the compressed files from the ZIP file.

 FOR MORE DETAILED INFORMATION REFER TO PKZIP  PKWARE MANUAL


PKWARE

PKZIP AND PKUNZIP ARE REGISTERED MARKS FROM:

          PKWARE, Inc.

          9025 N. Deerwood Drive

          Brown Deer, WI 53223  USA

          Phone (414) 354-8699

          Fax   (414) 354-8559

          BBS   (414) 354-8670


ALLOALLO

ALLOALLO V1.0

(c) Copyright 1994  [Herman Mansur]

COMMUNICATION SOFTWARE PACKAGE.

INCLUDES:COMMUNICATION TERMINAL,FILE MANAGER,

PKZIP SHELL, TEXT EDITOR, AND OTHER FEATURES.


ZIPEXAMPLE

PKZIP TEST.ZIP *.DAT

This command will create a compressed

file TEST.ZIP from all files with extension .DAT

in the current directory.


UNZIPEXAMPLE

PKUNZIP TEST.ZIP

This command will restore the original files

compressed by PKZIP in the current directory.